# TeleopDrive (YAGSL-Example API)
declaration: package: frc.robot.commands.swervedrive.drivebase, class: TeleopDrive

Package frc.robot.commands.swervedrive.drivebase

# Class TeleopDrive

java.lang.Object
edu.wpi.first.wpilibj2.command.Command
frc.robot.commands.swervedrive.drivebase.TeleopDrive

All Implemented Interfaces:
  `edu.wpi.first.util.sendable.Sendable`

public class TeleopDrive extends edu.wpi.first.wpilibj2.command.Command
An example command that uses an example subsystem.

## Nested Class Summary

## Nested classes/interfaces inherited from class edu.wpi.first.wpilibj2.command.Command

`edu.wpi.first.wpilibj2.command.Command.InterruptionBehavior`

## Field Summary

### Fields inherited from class edu.wpi.first.wpilibj2.command.Command

`m_requirements`

## Constructor Summary

Constructors
Constructor
Description
`TeleopDrive(SwerveSubsystem swerve, DoubleSupplier vX, DoubleSupplier vY, DoubleSupplier omega, BooleanSupplier driveMode)`
Creates a new ExampleCommand.

## Method Summary

Modifier and Type
Method
Description
`void`
`end(boolean interrupted)`
`void`
`execute()`
`void`
`initialize()`
`boolean`
`isFinished()`

### Methods inherited from class edu.wpi.first.wpilibj2.command.Command

`addRequirements, alongWith, andThen, andThen, asProxy, beforeStarting, beforeStarting, cancel, deadlineWith, finallyDo, finallyDo, getInterruptionBehavior, getName, getRequirements, getSubsystem, handleInterrupt, hasRequirement, ignoringDisable, initSendable, isScheduled, onlyIf, onlyWhile, raceWith, repeatedly, runsWhenDisabled, schedule, setName, setSubsystem, unless, until, withInterruptBehavior, withName, withTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TeleopDrive

public TeleopDrive(SwerveSubsystem swerve, DoubleSupplier vX, DoubleSupplier vY, DoubleSupplier omega, BooleanSupplier driveMode)
Creates a new ExampleCommand.

Parameters:
  `swerve` - The subsystem used by this command.

## Method Details

### initialize

public void initialize()

Overrides:
  `initialize` in class `edu.wpi.first.wpilibj2.command.Command`

### execute

public void execute()

Overrides:
  `execute` in class `edu.wpi.first.wpilibj2.command.Command`

### end

public void end(boolean interrupted)

Overrides:
  `end` in class `edu.wpi.first.wpilibj2.command.Command`

### isFinished

public boolean isFinished()

Overrides:
  `isFinished` in class `edu.wpi.first.wpilibj2.command.Command`